@import url('https://fonts.googleapis.com/css2?family=Silkscreen:wght@400;700&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: "Silkscreen", sans-serif;
}

html, body{
    height: 100vh;
    overflow-x: hidden;
    overflow-y: scroll;
    scroll-snap-type: y mandatory;
    scroll-behavior: smooth;
}

.background{
    background: linear-gradient(rgba(0, 0, 0, 0.5), rgba(0, 0, 0, 0.5));
    background-image: url("img/background.gif");
    background-repeat: repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 100vh;
    scroll-snap-align: start;
}

header{
    display: flex;
    justify-content: space-around;
    max-width: 100%;
    align-items: center;
    text-align: center;
    padding-top: 1rem;
}

.header-link{
    display: flex;
    gap: 3rem;
    font-weight: 300;
    cursor: pointer;
}

.header-link a{
    color: #fff;
    font-size: 18px;
}

.header-link a:hover{
    color: #9aeb00;
    transition: 0.3s all;
}

button{
    color: #9aeb00;
    background: transparent;
    border: solid 1px #9aeb00;
    padding: 5px;
    border-radius: 15px;
    font-size: 12px;
    width: 150px;
    cursor: pointer;
}

button:hover{
    background-color: #9aeb00;
    color: #fff;
    transition: 0.5s;
}

.container-text{
    padding: 180px 0 0 130px;
    height: 93vh;
}

.text h3{
    color: #fff;
    font-size: 15px;
}

.text h1{
    color: #fff;
    margin-top: 10px;
    margin-bottom: 5px;
}

.text span{
    color: #9aeb00;
}

.text p{
    color: #fff;
    font-size: 15px;
    font-weight: 300;
    margin-top: 10px;
}

.socials a{
    color: #9aeb00;
    padding: 15px;
    margin-top: 10px;
}

.slides{
    width: 100%;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 50px;
    color: #fff;
    scroll-snap-align: start;
}

.about{
    background: linear-gradient(454deg, #9aeb00, #49aa10);
}

.projects{
    background: linear-gradient(454deg, #9aeb00, #49aa10);
}

.skills{
    background: linear-gradient(454deg, #9aeb00, #49aa10);
}

.contact{
    background: linear-gradient(454deg, #9aeb00, #49aa10);
}

.back-to-top {
	position: fixed;
	bottom: 3.3rem;
	right: 2rem;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	background-color: #9aeb00;
	border-radius: 2rem;
	padding: 0.4rem;
	transition: 0.2s ease-out;
}

.back-to-top span {
	color: #fff;
	font-size: 3rem;
	transition: 0.2s ease-out;
}

.back-to-top:hover {
	background-color: #292560;
}
.back-to-top:hover span {
	transform: translateY(-4px);
}
